petsc-3.4.2 2013-07-02

# DMPlexInterpolate

Take in a cell-vertex mesh and return one with all intermediate faces, edges, etc.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInterpolate(DM dm, DM *dmInt)

Collective on DM

### Input Parameter

dmA -The DMPlex object with only cells and vertices

### Output Parameter

dmB -The complete DMPlex object

### Keywords

mesh

### See Also

DMPlexCreateFromCellList()

Level:intermediate
Location:src/dm/impls/plex/plexinterpolate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages